Bug 843837 - Bug in JBoss Getting Started Guide
Bug in JBoss Getting Started Guide
Status: VERIFIED
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Getting_Started_Guide (Show other bugs)
5.1.2
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: eap-docs
Rajesh Rajasekaran
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 10:10 EDT by Joshua Wilson
Modified: 2017-10-09 20:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wilson 2012-07-27 10:10:43 EDT
Description of problem: Link points to wrong location


Version-Release number of selected component (if applicable):


How reproducible: go to 1.6.4. Logging Service

http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Getting_Started_Guide/Basic_Configuration_Issues-Logging_Service.html

At the end of the first sentence is the following link; http://jakarta.apache.org/log4j/.  This link now resolves to http://logging.apache.org/log4j/2.x/.  Note that it now points to version 2 by just going to log4j, this would imply that we have version 2 installed and as we don't have log4j 2 in RHEL 5, it should point to version 1.2.  This assumes that if the user is on EAP 5 they are still on RHEL 5.  I didn't check if RHEL 6 has log4j 2 installed.  log4j 2 is in Alpha, so I am guessing that it is not in RHEL 6 either.  Here are a few links for version 1.2; http://logging.apache.org/log4j/1.2/manual.html, http://logging.apache.org/log4j/1.2/index.html.



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Russell Dickenson 2013-01-22 07:35:07 EST
I have corrected the link, replacing it with http://logging.apache.org/log4j/1.2/index.html. The corrected revision of this document can be found at [1]. When validating this change, first confirm that you're viewing revision 18 or higher.

[1] http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Getting_Started_Guide/index.html#Hot_Deployment_of_Services
Comment 2 Chuck Copello 2017-02-21 13:47:21 EST
Docs updated in 2013; marking this Verified.

Note You need to log in before you can comment on or make changes to this bug.